Bug 1791911 - Validate host can proceed in NOTOK if Cluster Type was originally Development/POC
Summary: Validate host can proceed in NOTOK if Cluster Type was originally Development...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Installer
Version: 4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.2
Assignee: Timothy Asir
QA Contact: Tejas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-16 17:23 UTC by John Brier
Modified: 2021-01-12 14:56 UTC (History)
10 users (show)

Fixed In Version: cockpit-ceph-installer-1.3-0.el8cp, cockpit-ceph-installer-1.3-0.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-12 14:55:53 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot of validate page with nodes selected even though in NOTOK status (91.11 KB, image/png)
2020-01-16 17:23 UTC, John Brier
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github red-hat-storage cockpit-ceph-installer pull 77 0 None closed Remove host selection if status NOTOK 2021-01-05 22:19:43 UTC
Red Hat Product Errata RHSA-2021:0081 0 None None None 2021-01-12 14:56:15 UTC

Description John Brier 2020-01-16 17:23:45 UTC
Created attachment 1652830 [details]
screenshot of validate page with nodes selected even though in NOTOK status

Description of problem:

I went through the installer to the Validate page with Cluster Type set to Development/POC. I got warnings, but, as expected I could proceed through Network anyway. I went back to the Environment page and changed it to Production. I had to add two MON nodes as I only had one initially. Then I was allowed to go to the Validate page. Here my nodes are all still selected and I can proceed to Network.

I don't believe I should be able to proceed and I don't think the nodes should be selected. If I click a check mark for a host I do get an error that says it can't be selected, but like I said, it's already selected. I can't unselect it either. See screenshot.


Version-Release number of selected component (if applicable):

cockpit-ceph-installer-0.9-7.el8cp.noarch

Comment 1 John Brier 2020-01-16 17:28:04 UTC
Maybe related, when I go back to the Hosts page, I can't unselect any roles. The check mark stays. This is even if I go back and changed Cluster Type back to Development/POC

Comment 2 Yaniv Kaul 2020-10-07 11:59:13 UTC
When will we see this ON_QA? Where's the devel-ack+ ?

Comment 8 Ameena Suhani S H 2020-11-12 03:32:28 UTC
Verified using cockpit-ceph-installer-1.3-0.el8cp.noarch that the host/nodes in production and poc/development types are not selected when status "NOT OK" and proceed

Comment 10 errata-xmlrpc 2021-01-12 14:55:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage 4.2 Security and Bug Fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0081


Note You need to log in before you can comment on or make changes to this bug.